Subject: Network Protocol Code
From: [email-masked]
Date: 9 Jan 1994 15:19:41 +0200
Newsgroups: comp.os.linux.announce

I have placed a new copy of the AX.25 code on sunacm.swan.ac.uk. This
machine is now back alive and should be reachable. If not try again a 
few hours later as we are still having hiccups. The new code needs the
1.28 Net2Debugged code which should be in the next release from Linus.
The full 1.28 Net2Debugged code is on the site also if you are 
impatient. Note that the version Linus issues _will_ be different and
have his routing improvements in. Its there as a stopgap only.
In addition I have placed the current IPX code for 1.28 on the machine
also. This is the _last_ I have to do with Linux and IPX. I've become
totally disillusioned with the attitude of a certain company whose name
begins with 'N'. If anyone wants to take it over drop me a note, but
don't expect much help.

The AX.25 and IPX package provide:

AX.25:
	IP over AX.25 UI frames including ARP (no digipeated paths)
	IP over AX.25 I frames (incoming only so far)
	AX.25 UI (Datagram) and I (SeqPacket) socket interfaces.
	KISS TNC driver addition to the slip driver
	User utilities - simple PMS good enough for message collecting
			 a beacon
			 listen to all AX.25 packets (SOCK_PACKET demo)
			 connect program including logging and uploading
			 axattach - attach ax.25 interfaces

	This is an ALPHA release and has no support for NetROM nor for
	digipeating of any kind. Unlike the previous release the utilities
	are usable and the thing does actually talk to TheNET nodes. It
	also is a lot more radio friendly and has settable windows.

IPX:
	Kernel modules for IPX datagram sockets (no SPX support). 
	Implements pretty much everything but not perfectly.
	Write your own user mode tools (no longer supported see above).

Alan   [email-masked],  GW4PTS@GB7SWN

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.